#pragma once
#include "afxwin.h"
#include "memdc.h"
#include <vector>
#include "BitmapOp.h"


using namespace std; 

class CGraphCtrl : 	public CStatic
{
// Construction
public:
	CGraphCtrl(void);
	CGraphCtrl(const int x, const int y);
// Destruction
public:
	~CGraphCtrl(void);

// Attributes
public:

// Operations
public:

// Overrides
// ClassWizard generated virtual function overrides
//{{AFX_VIRTUAL(CGraphCtrl)
public:

protected:
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	//COLORREF *pBackgroundColor, BackgroundColor;
	int m_PixelNumberX;
	int m_PixelNumberY;

	void Resize(const unsigned short width, const unsigned short height);
	void FullResize(const CRect newRect);
	void SetSize(const unsigned short width, const unsigned short height);
	CRect GetSize();
	CRect GetPlotDataSize();
	void SetPlotData(vector<vector<COLORREF> > InputArray);
	void SetPlotDataSize(const int x, const int y);
	void UpdatePlot();

	void PlotToDC(CMemDC* pDC);
	void PlotToDC(CPaintDC* pDC);
	vector<vector<COLORREF> > PlotData; 
	BOOL SaveBitmap(CString csFileName);
	BOOL LoadBitmap(CString csFileName);
	BOOL LoadBitmapData(CString csFileName);
	CBitmapOp BitmapOperations;
	// Generated message map functions
protected:
	//{{AFX_MSG(CGraphCtrl)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();	
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
public:
};

