#pragma once

#include <vector>
using namespace std; 

class CBitmapOp
{
public:
	CBitmapOp(void);
	~CBitmapOp(void);

public:
	BOOL SaveDcToBitmapFile( LPCTSTR szFile, CPaintDC* pDC, CRect rect);
	BOOL WriteDIBToFile( LPCTSTR szFile, HANDLE hDIB);
	HANDLE DDBToDIB( CBitmap& bitmap, DWORD dwCompression, CPalette* pPal ) ;
	BOOL LoadBitmapFileToCBitmap( LPCTSTR sBMPFile, CBitmap& bitmap, CPalette *pPal );
	BOOL GetBitmapPixels(CBitmap& bitmap);
	void SetBitmapDataSize(const int x, const int y);
	vector<vector<COLORREF> > GetBitmapArray();
private:
	int m_PixelNumberX;
	int m_PixelNumberY;
	vector<vector<COLORREF> > BitmapData; 
};

